Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055185 - [abrt] control-center-3.10.2-2.fc20: net_device_get_find_connection: Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
Summary: [abrt] control-center-3.10.2-2.fc20: net_device_get_find_connection: Process ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:77b885224316f7d79eaea6d5c7b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 13:23 UTC by Omer
Modified: 2015-06-29 14:35 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:35:04 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-19 13:23 UTC, Omer
no flags Details
File: cgroup (deleted)
2014-01-19 13:23 UTC, Omer
no flags Details
File: core_backtrace (deleted)
2014-01-19 13:23 UTC, Omer
no flags Details
File: dso_list (deleted)
2014-01-19 13:23 UTC, Omer
no flags Details
File: environ (deleted)
2014-01-19 13:23 UTC, Omer
no flags Details
File: exploitable (deleted)
2014-01-19 13:23 UTC, Omer
no flags Details
File: limits (deleted)
2014-01-19 13:24 UTC, Omer
no flags Details
File: maps (deleted)
2014-01-19 13:24 UTC, Omer
no flags Details
File: open_fds (deleted)
2014-01-19 13:24 UTC, Omer
no flags Details
File: proc_pid_status (deleted)
2014-01-19 13:24 UTC, Omer
no flags Details

Description Omer 2014-01-19 13:23:35 UTC
Version-Release number of selected component:
control-center-3.10.2-2.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: net_device_get_find_connection
executable:     /usr/bin/gnome-control-center
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Jan 18 19:11:33 omer-azams-macbook kernel: [  340.080446] gnome-control-c[2486]: segfault at b8 ip 000000000050bf73 sp 00007fffd9285268 error 4 in gnome-control-center[400000+372000]

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 net_device_get_find_connection at net-device.c:213
 #1 device_off_toggled at net-device-ethernet.c:529
 #7 g_object_notify_by_spec_internal at gobject.c:1141
 #8 g_object_notify_by_pspec at gobject.c:1245
 #9 gtk_switch_set_active at gtkswitch.c:951
 #10 gtk_switch_button_release at gtkswitch.c:247
 #11 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #12 _g_closure_invoke_va at gclosure.c:840
 #15 gtk_widget_event_internal at gtkwidget.c:7168
 #16 gtk_widget_event at gtkwidget.c:6830

Comment 1 Omer 2014-01-19 13:23:45 UTC
Created attachment 852378 [details]
File: backtrace

Comment 2 Omer 2014-01-19 13:23:47 UTC
Created attachment 852379 [details]
File: cgroup

Comment 3 Omer 2014-01-19 13:23:50 UTC
Created attachment 852380 [details]
File: core_backtrace

Comment 4 Omer 2014-01-19 13:23:53 UTC
Created attachment 852381 [details]
File: dso_list

Comment 5 Omer 2014-01-19 13:23:56 UTC
Created attachment 852382 [details]
File: environ

Comment 6 Omer 2014-01-19 13:23:59 UTC
Created attachment 852383 [details]
File: exploitable

Comment 7 Omer 2014-01-19 13:24:03 UTC
Created attachment 852384 [details]
File: limits

Comment 8 Omer 2014-01-19 13:24:13 UTC
Created attachment 852385 [details]
File: maps

Comment 9 Omer 2014-01-19 13:24:17 UTC
Created attachment 852386 [details]
File: open_fds

Comment 10 Omer 2014-01-19 13:24:19 UTC
Created attachment 852387 [details]
File: proc_pid_status

Comment 11 Fedora End Of Life 2015-05-29 10:34:48 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 14:35:04 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.